libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_desc_service Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the service descriptor. More...

`#include <desc_service.h>`

## Data Fields
uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint8_t | service_type
char * | name
char * | name_emph
char * | provider
char * | provider_emph

## Detailed Description

Structure containing the service descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  service_type | service type
  name | name string
  name_emph | name emphasis string
  provider | provider string
  provider_emph | provider emphasis string

The emphasis text is the one that uses asterisks. For example, in the text: "the quick *fox* jumps over the lazy table" the emphasis would be "fox".

Definition at line 60 of file desc_service.h.

## Field Documentation

## ◆ length

uint8_t dvb_desc_service::length

Definition at line 62 of file desc_service.h.

## ◆ name

char* dvb_desc_service::name

Definition at line 66 of file desc_service.h.

## ◆ name_emph

char* dvb_desc_service::name_emph

Definition at line 67 of file desc_service.h.

## ◆ next

struct dvb_desc* dvb_desc_service::next

Definition at line 63 of file desc_service.h.

## ◆ provider

char* dvb_desc_service::provider

Definition at line 68 of file desc_service.h.

## ◆ provider_emph

char* dvb_desc_service::provider_emph

Definition at line 69 of file desc_service.h.

## ◆ service_type

uint8_t dvb_desc_service::service_type

Definition at line 65 of file desc_service.h.

## ◆ type

uint8_t dvb_desc_service::type

Definition at line 61 of file desc_service.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_service.h